FROM debian:stable-slim

ENV VERSION=v0.2.0

RUN apt-get update
RUN apt-get install wget -y
RUN wget https://github.com/bluebrown/go-template-cli/releases/download/$VERSION/tpl-linux-amd64 -O /usr/bin/tpl
RUN chmod +x /usr/bin/tpl

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh
ENTRYPOINT ["/entrypoint.sh"]
